<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Exercício numero 1 com Vue Js</title>
</head>
<body>
	<div id="challange">

		<!--
			ENUNCIADO:
				1) Preencher a tag <p> com o seu nome e idade - usando interpolação;
				2) Exiba a sua idade multiplicada por 3;
				3) Chame uma função para exibir um numero randomico entre 0 e 1;
				4) Procure uma imagem no google e exiba na tag img fazendo o binding no atributo 'src';
				5) Inicie o input com o seu nome (use o atributo 'value')
		-->


		<!-- 1 -->
			<p>Olá, meu nome é {{ name }} e eu tenho {{ age }} anos de idade.</p>
		<!-- 1 -->


		<!-- 2 -->
			<!-- <p>Quando eu tiver 3x a idade que eu tenho hoje, eu terei {{ ageX3() }} anos de idade.</p> -->
			<p>Quando eu tiver 3x a idade que eu tenho hoje, eu terei {{ age * 3 }} anos de idade.</p>
		<!-- 2 -->


		<!-- 3 -->
			<!-- <p>O seu número da sorte gerado, foi o número {{ randomNumber() }}! Parabéns! </p> -->
			<p>O seu número da sorte gerado, foi o número {{ (Math.random().toFixed(3)) }}! Parabéns! </p>
		<!-- 3 -->


		<!-- 4 -->
			<div>
				<img v-bind:src="img" height="400" alt="paisagem de uma montanha com o mar ao fundo durante o dia. Há muitas nuvens no céu e uma pequena cachoeira a direita, desaguando no mar.">
			</div>
		<!-- 4 -->


		<!-- 5 -->
			<div>
				<input type="text" :value="name">
			</div>
		<!-- 5 -->

	</div>

	<script src="https://unpkg.com/vue@next"></script> <!-- vue@3 -->
	<script src="app.js"></script>
</body>
</html>
